Mandrake Linux Security Advisory : cpio (MDKSA-2005:116-1)

Medium Nessus Plugin ID 18678


The remote Mandrake Linux host is missing a security update.


A race condition has been found in cpio 2.6 and earlier which allows local users to modify permissions of arbitrary files via a hard link attack on a file while it is being decompressed, whose permissions are changed by cpio after the decompression is complete (CVE-2005-1111).

A vulnerability has been discovered in cpio that allows a malicious cpio file to extract to an arbitrary directory of the attackers choice. cpio will extract to the path specified in the cpio file, this path can be absolute (CVE-2005-1229).

Update :

The previous packages had a problem upgrading due to an unresolved issue with tar and rmt. These packages correct the problem.


Update the affected cpio package.

Plugin Details

Severity: Medium

ID: 18678

File Name: mandrake_MDKSA-2005-116.nasl

Version: $Revision: 1.16 $

Type: local

Published: 2005/07/12

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:cpio, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/07/19

Reference Information

CVE: CVE-2005-1111, CVE-2005-1229

MDKSA: 2005:116-1